Page MenuHomePhabricator

Please correct the names of namespaces in Goan Konkani (gom-deva)
Closed, ResolvedPublic

Description

Please correct the names of namespaces in Goan Konkani (gom-deva)

In each of the following cases, although the current namespace name is a Konkani word, it is not a commonly-used word, and the translations in http://translatewiki.net all use the word that we are proposing to change to. This creates a disconnect in users' minds, because the localised messages all use one term, and the namespace names are a different, obscure word.

NamespacePresently used nameCorrect Konkani name
Helpमजतआदार
Help talkमजत चर्चाआदार चर्चा
Categoryश्रेणीवर्ग
Category talkश्रेणी चर्चावर्ग चर्चा
Mediaमिडियामाध्यम
Userउपेगकर्तोवापरपी
User talkउपेगकर्तो चर्चावापरपी चर्चा

See the message on the local discussion page: archived original and repost

The change must be made in gom-deva, because gom falls back to gom-deva.

Managing the effect of the changes on existing links

I have done a small study about how the existing links to these namespaces will be affected:

  • Media: 0 Media pages and 0 links to Media pages exist on the Konkani wikipedia, so no action needed.
  • Help: 2 Help pages exist, with only one link to a Help page, so this one link can be manually changed.
  • Help talk: 0 Help talk pages and 0 links to Help talk pages exist, so no action needed.
  • User and User talk: Nearly all links are from signatures on talk and discussion pages, so this would be a minor inconvenience if not handled. A handful of links are from project pages, these can easilt be updated manually.
  • Category and Category talk: We would have to manage the links to these pages, because links to categories exist on every article. I prefer not to add aliases, because it increases server load, reduces performance, and introduces non-uniformity in linking to the respective namespaces. I would prefer to run a one-time script that would update the category links on all pages. This script could also handle the links to User and User talk pages. For example Pywikibot's replace.py could be used, but I think that Pywikibot has not been installed on the Konkani Wikipedia yet. The same could also be done by AWB.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2016, 6:22 AM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptMar 9 2016, 6:44 AM

@The_Discoverer: Did you discuss this with @Amire80 beforehand and did he state that he'd work on this? Clarification welcome. :)
For future reference, https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes lists the steps for such tasks.

@Aklapper, no, I did not discuss with Amire80. The only reason I assigned this task to him is because he had helped with a similar request (T109182) in the past. Feel free to change the assignment. Thanks for your note.

Those namespaces are part of core, they're not from Wikimedia config.

Aklapper removed Amire80 as the assignee of this task.Mar 9 2016, 12:09 PM
Aklapper added a subscriber: Amire80.


Can be used for code review

The_Discoverer added a subscriber: Nemo_bis.

Please could someone take up this task? Thanks :)

Nemo_bis triaged this task as Medium priority.Jun 3 2016, 6:40 AM
Nemo_bis added a project: good first task.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 3 2016, 6:40 AM

Change 292777 had a related patch set uploaded (by Gerrit Patch Uploader):
Update namespaces in Konkani gom-deva

https://gerrit.wikimedia.org/r/292777

Niharika moved this task from Backlog to Doing on the good first task board.Jun 6 2016, 4:47 AM

Change 292777 merged by jenkins-bot:
Update namespaces for Konkani gom-deva

https://gerrit.wikimedia.org/r/292777

Dcljr added a subscriber: Dcljr.Aug 1 2016, 1:39 PM

Please note that The Discoverer has submitted a second patch https://gerrit.wikimedia.org/r/297123 that corrects a mistake in his original "292777" patch linked to above (a space was used in the alias for NS_USER_TALK instead of instead of an underscore). After the original change went "live", it broke many links on gomwiki that can be fixed by this new patch. Can someone please review and merge it? Thanks.

Both patches merged - I guess this task could get closed as resolved, or is more work needed?

Zppix added a subscriber: Zppix.

It appears @The_Discoverer took up the task so i'm assigning it to him to clarify this and help future commenters know this.

Thanks everyone. I will wait for the second patch to go live and then close the task.

The_Discoverer closed this task as Resolved.Aug 5 2016, 8:40 AM